
Changelog
=========


[v0.8.9][v0.8.9] (2024-07-23) {#v0.8.9}
---------------------------------------

### Behobene Fehler {#v0.8.8-bugfixes}

* Absturz im Rundschreiben-Fenster (`MailWindow`). Fehler bei `CheckComboBox`. (49f03c0a3c)
* Excel-Exporte können nun auch Sonderzeichen (wie `&`) enthalten. (ba9e1d7201)

[v0.8.9]: https://git.necronda.net/winzer/elwig/releases/tag/v0.8.9




[v0.8.8][v0.8.8] (2024-07-22) {#v0.8.8}
---------------------------------------

### Behobene Fehler {#v0.8.8-bugfixes}

* Schnittstelle für Gassner-Waagen nicht funktionsfähig. (4c75dbe4aa)

[v0.8.8]: https://git.necronda.net/winzer/elwig/releases/tag/v0.8.8




[v0.8.7][v0.8.7] (2024-07-22) {#v0.8.7}
---------------------------------------

### Neue Funktionen {#v0.8.7-features}

* Im Mitglieder-Fenster (`MemberAdminWindow`) muss eine E-Mail-Adresse angegeben werden, wenn E-Mail als Kontaktart angegeben wird. (5a36e84b1f)

### Sonstiges {#v0.8.7-misc}

* Automatisierte Ende-zu-Ende-Tests (`E2ETests`) hinzugefügt. (ddd821e478, 6b48a1090c, dd5049faae, 5b2f617a68, 7246852181)
* Automatisierte Tests überarbeitet. (44656e0022, 86937485e4, 34178105a7, ffe0ff5508, 01d658f51d)
* Update-Dialog (`UpdateDialog`) überarbeitet. (62f63ef63d, e9de54415a)
* Eingebefelder vom Typ _Mehrfachauswahl mit Dropdown_ (`CheckComboBox`) etwas verbessert. (26d75ea3cd, daf83c4bbc)
* Im Übernahme-Fenster (`DeliveryAdminWindow`) werden nur noch aktive Mitglieder angezeigt. (658a1f4dc1)
* Abhängigkeiten aktualisiert. (ffef1fd6e4, dd48a24c58)
* Auto-Update-Funktion überarbeitet. (3ac9536e76)

[v0.8.7]: https://git.necronda.net/winzer/elwig/releases/tag/v0.8.7




[v0.8.6][v0.8.6] (2024-07-01) {#v0.8.6}
---------------------------------------

### Neue Funktionen {#v0.8.6-features}

* Es ist nun möglich benutzerdefinierte Zu-/Abschläge pro Mitglied anzugeben. ([#48][i48], 255bcbe3ad, 6a92eb76a0)
* Im Mitglieder-Fenster (`MemberAdminWindow`) Menü-Eintrag zum Ansehen von Traubengutschriften (`CreditNote`) hinzugefügt. (bce2eea3ac)
 
### Sonstiges {#v0.8.6-misc}

* Im Rundschreiben-Fenster (`MailWindow`) kann das Datum geändert werden. (7ce8c3cabf)
* Im Auszahlung-Anpassen-Fenster (`PaymentAdjustmentWindow`):
  * kann nur noch die aktuellste Saison angepasst werden. (43dddf2c07)
  * gibt es jetzt eine Statusleiste. (5c76b8ec52)
* Auf Traubengutschriften (`CreditNote`) wird die Berechnungszeit nicht mehr angeführt, dafür jedoch das Datum der Auszahlungsvariante. (763f0197ca)
* Im Stammdaten-Fenster (`BaseDataWindow`) sind Strafen bei Unterlieferung lt. GA besser gruppiert. ([#52][i52])
* Statistiken zu Zu-/Abschlägen im Übersichtsdokument für Auszahlungsvarianten (`PaymentVariantSummary`). ([#49][i49])
* Knöpfe (und Pfeile) im Auszahlungsvarianten-Fenster (`PaymentVariantsWindow`) anders angeordnet. (6195363335)
* Im Auszahlungsvariante-Fenster (`ChartWindow`) sind 73 °Oe standardmäßig ausgewählt. ([#51][i51])

[v0.8.6]: https://git.necronda.net/winzer/elwig/releases/tag/v0.8.6
[i48]: https://git.necronda.net/winzer/elwig/issues/48
[i49]: https://git.necronda.net/winzer/elwig/issues/49
[i51]: https://git.necronda.net/winzer/elwig/issues/51
[i52]: https://git.necronda.net/winzer/elwig/issues/52




[v0.8.5][v0.8.5] (2024-06-17) {#v0.8.5}
---------------------------------------

### Neue Funktionen {#v0.8.5-features}

* Fenster zum Anpassen der Auszahlung einer Saison (`PaymentAdjustmentWindow`) hinzugefügt. ([#46][i46])

### Behobene Fehler {#v0.8.5-bugfixes}

* Inaktive Mitglieder, die in der letzten Saison geliefert haben, bisher in _Über-/Unterlieferungen_ nicht aufgeschienen. (abf465f821)
* Inaktive Mitglieder, die in der letzten Saison geliefert haben, haben keine entsprechenden Rundschreiben bekommen. (792c18365e)
* Falls unter `Stammdaten > Mandant` kein IBAN gesetzt war führte das zu einem Fehler beim Exportieren der Überweisungsdaten. (da9df5cbeb)
* Falls sich Daten in der Datenbank im Hintergrund geändert haben wurden Daten für Eingebefelder vom Typ _Mehrfachauswahl mit Dropdown_ (`CheckComboBox`) falsch neu geladen. (050e4f5b6f)

### Sonstiges {#v0.8.5-misc}

* Kleine Änderungen im EBICS-/XML-Export. (5cb7d2cbb0, cc0aa6046f, 87467bbe75)

[v0.8.5]: https://git.necronda.net/winzer/elwig/releases/tag/v0.8.5
[i46]: https://git.necronda.net/winzer/elwig/issues/46




[v0.8.4][v0.8.4] (2024-06-13) {#v0.8.4}
---------------------------------------

### Neue Funktionen {#v0.8.4-features}

* EBICS-Überweisung-Version für EBICS-/XML-Exporte der Überweisungsdaten nun unter `Stammdaten > Parameter > Daten-Export` konfigurierbar. (ab926421b0)

### Behobene Fehler {#v0.8.4-bugfixes}

* Falls beim Schließen des Hauptmenüs ein anderes Fenster im Bearbeiten-/Erstellen-Modus war führte das zu einem Absturz. (70f8276808)

### Sonstiges {#v0.8.4-misc}

* Eingabetyp _Mehrfachauswahl mit Dropdown_ (`CheckComboBox`) überarbeitet. ([#37][i37], 4483eb6a69)
* Abhängigkeit `Extended.Wpf.Toolkit` endgültig entfernt. ([#37][i37], 4483eb6a69)
* Automatisierte Tests für österreich-spezifischen EBICS-Standard hinzugefügt. (46551fb142)

[v0.8.4]: https://git.necronda.net/winzer/elwig/releases/tag/v0.8.4




[v0.8.3][v0.8.3] (2024-06-11) {#v0.8.3}
---------------------------------------

### Neue Funktionen {#v0.8.3-features}

* Strafe für Unterlieferung lt. GA kann abhängig von GAs angegeben werden. ([#47][i47])
* Es ist nun möglich Mitglieder zu löschen. (c12d111c57, 5a4ff26f31)
* Beim Übertragen der Flächenbindungen an einen Nachfolger (bzw. beim Inaktiv-Setzen) kann nun die gewünschte Saison angegeben werden. ([#45][i45])
* Es ist nun möglich Saisons anzulegen und zu löschen. ([#44][i44])

### Behobene Fehler {#v0.8.3-bugfixes}

* Beim Auswählen einer Saison mit einer anderen Währung unter `Stammdaten > Saisons` kam es zu einem Absturz. (f756220d75)
* Abstürze im Rundschreiben-Fenster (`MailWindow`) beim Auswählen von einzelnen Mitgliedern oder nach Flächenbindung. (6e4f3b799d, 5039c1252a)
* Es nun wieder möglich Zu-/Abschläge bei Lieferungen hinzuzufügen oder zu entfernen. (324a63cf9a, 012352c562)

### Sonstiges {#v0.8.3-misc}

* Eingabetyp _Ganzzahl_ (`IntegerUpDown`) überarbeitet. ([#37](i37), cc4ec6c5db, a531e948c1)
* Beim Erstellen der Installationsdatei wird der Rückgabewert überprüft (`curl --fail`). (ff375e3caf)
* URL in vordefinierter `config.ini`-Datei auf `https://elwig.at/` ausgebessert. (293c8967be)
* Abhängigkeiten aktualisiert. (4e477c38e0, 601ac548fe)
* Absender bei Anlieferungsbestätigung (`DeliveryConfirmation`) wird nicht mehr immer abgedruckt. (4c9a151f77)
* In der Zusammenfassung der Auszahlungsvariantendaten (`PaymentVariantSummary`) werden Rebel Zu-/Abschläge angeführt. (08f551a394)

[v0.8.3]: https://git.necronda.net/winzer/elwig/releases/tag/v0.8.3
[i37]: https://git.necronda.net/winzer/elwig/issues/37
[i44]: https://git.necronda.net/winzer/elwig/issues/44
[i45]: https://git.necronda.net/winzer/elwig/issues/45
[i47]: https://git.necronda.net/winzer/elwig/issues/47




[v0.8.2][v0.8.2] (2024-05-14) {#v0.8.2}
---------------------------------------

### Neue Funktionen {#v0.8.2-features}

* In der Konfigurationsdatei (`config.ini`) gibt es die Möglichkeit bei Waagen `required = false` hinzuzufügen.
  So werden Fehlermeldungen der Waagen beim Starten dem Benutzer nicht angezeigt (außer `debug = true` ist in `[general]` gesetzt). (81e18ac553, e3fd705f52)

### Behobene Fehler {#v0.8.2-bugfixes}

* Falls die Saison für das aktuelle Jahr nicht angelegt war führte das zu einem Absturz im Stammdaten-Fenster (`BaseDataWindow`). (f95f0f0ef3)
* Das Drucken von Dokumenten ist wieder möglich. (2b10e52ab0)

### Sonstiges {#v0.8.2-misc}

* Umstieg von `https://www.necronda.net/elwig/` auf `https://elwig.at/`. (be246d6f06, 5b952c4eb1)

[v0.8.2]: https://git.necronda.net/winzer/elwig/releases/tag/v0.8.2




[v0.8.1][v0.8.1] (2024-05-12) {#v0.8.1}
---------------------------------------

> [!WARNING]
> Aufgrund eines Fehlers beim Erstellen der Installationsdatei ist in dieser Version das Drucken von Dokumenten nicht möglich!
>
> Es wird empfohlen die nächste Version zu verwenden.

### Neue Funktionen {#v0.8.1-features}

* Übersichtsdokument für Auszahlungsvarianten (`PaymentVariantSummary`). ([#32][i32], 69aa75a50a)

### Behobene Fehle {#v0.8.1-bugfixes}

* Falls in einer neuen Version die Datenbank aktualisiert werden musste, konnte es vorkommen, dass es beim Start zu einem Absturz kam. (6906584ef0)
* Beim Exportieren der Überweisungsdaten kam es zu einem Absturz. (f123bb44c5)

### Sonstiges {#v0.8.1-misc}

* Das Installationsprogramm ist nun auf deutsch verfügbar. (d102a1cb7a)
* Menüleiste und Statusleiste im Fenster für Auszahlungsvarianten (`PaymentVaiantWindow`) hinzugefügt. (b03f81d4f2)

[v0.8.1]: https://git.necronda.net/winzer/elwig/releases/tag/v0.8.1
[i32]: https://git.necronda.net/winzer/elwig/issues/32




[v0.8.0][v0.8.0] (2024-05-01) {#v0.8.0}
---------------------------------------

### Neue Funktionen {#v0.8.0-features}

* Die Qualitätsstatistik (`WineQualityStatistic`) kann in °KMW angezeigt werden. (869f652afc, 27b5d653e6)
* Waagen-Schnittstelle vom Typ `Gassner` implementiert. (443e111594)
* Teile zum Synchronisierung der Datenbank zwischen Zweigstellen implementiert. ([#3][i3])
* Sorten-/Qualitätsaufschlüsselung im Hauptfenster. (2a4e8d69d0)

### Behobene Fehler {#v0.8.0-bugfixes}

* Beim Anzeigen von Zu-/Abschlägen einer Saison im Stammdaten-Fenster (`BaseDataWindow`) kam es zu einem Absturz. (1419c834ac)
* Das Laden von einigen Daten im Stammdaten-Fenster (`BaseDataWindow`) war nicht immer konsistent. (1047bc6e8f)
* Die Einstellungen in `Stammdaten -> Parameter` haben nicht konsistent funktioniert. (9062d55b20)

### Sonstiges {#v0.8.0-misc}

* Rahmenstärke in Dokumenten wider auf 0.5pt gesetzt. (eddea88e77)
* Mehr automatisierte Tests für Dokumente hinzugefügt. (66898714bb, b8851fb241, 5c3cf41d3d, 657910ff48, 12eb53cb44, 80e91ad776)
* `SeasonFinishWindow` und `TestWindow` entfernt. (a9f38a3ccb)
* Abhängigkeiten aktualisiert. (c6905bbb42, 21fe5bc094, fd17d294b9, 35e5a1dfff)
* Beim Überprüfen auf Updates bekommt der Nutzer nun auch eine Rückmeldung, wenn es keine Updates gibt. (c360e6b6a7)

[v0.8.0]: https://git.necronda.net/winzer/elwig/releases/tag/v0.8.0
[i3]: https://git.necronda.net/winzer/elwig/issues/3




[v0.7.2][v0.7.2] (2024-03-28) {#v0.7.2}
---------------------------------------

### Neue Funktionen {#v0.7.2-features}

* Flächenbindungen können vom Vorgänger übernommen bzw. beim Inaktiv-Setzen storniert werden. ([#41][i41])
* Für diverse Funktionen wurden Tastenkürzel hinzugefügt (in den Menüleisten oder beim Drüberfahren mit der Maus genauer ersichtlich; z.B. Speichern/Neu/Löschen/Zurücksetzen/Abbrechen/Bearbeiten). ([#31][i31])
* Die Mitgliederliste ist nun auch als PDF/Ausdruck und Excel-Liste verfügbar. ([#36][i36])
* Im Lieferungen-Fenster (`DeliveryAdminWindow`):
  * kann nach mehr Dingen gefiltert werden (Handwiegung, Handlese, gebunden/ungebunden, brutto/netto). ([#12][i12], cf2ec3bdc4)
  * werden verwendete Zu-/Abschläge zusätzlich in der Tabelle angezeigt. (b31b5f6164)
  * können gefilterte Lieferungen nun auch als Excel-Liste exportiert werden. ([#13][i13])
  * gibt es ab jetzt ein Übersichtsdokument/Qualitätsstatistik für gefilterte Lieferungen (`WineQualityStatistic`). ([#30][i30], d011c69812, d501cfaf72)
* Einige Optionen zum PDF-Speichern/-Ausdrucken überarbeitet. (b2f52072f8)

### Behobene Fehler {#v0.7.2-bugfixes}

* Falls beim Starten des Programms die Datenbank-Version "zu neu" war, wurde nur ein Fehler angezeigt und kein Auto-Update versucht. (87da56b7a9)
* Falls ein Element einer Liste ausgewählt wurde, das nicht in der Liste existierte führte dies zu einem Absturz. (afc143e1e4)

### Sonstiges {#v0.7.2-misc}

* Das Gesamte Programm ist nun schneller und wird nach längerer Benutzung nicht mehr langsamer (`AppDbContext` Lifecycle). ([#43][i43])
* Excel-Exports überarbeitet (Datumswerte, Wahr-/Falsch-Werte). (9d80c5913f, c6e83ffff4, 5795c5e8ba)
* Rahmenstärke in Dokumenten wider auf 0.05pt gesetzt. (9aa6cba1ff)

[v0.7.2]: https://git.necronda.net/winzer/elwig/releases/tag/v0.7.2
[i12]: https://git.necronda.net/winzer/elwig/issues/12
[i13]: https://git.necronda.net/winzer/elwig/issues/13
[i30]: https://git.necronda.net/winzer/elwig/issues/30
[i31]: https://git.necronda.net/winzer/elwig/issues/31
[i36]: https://git.necronda.net/winzer/elwig/issues/36
[i41]: https://git.necronda.net/winzer/elwig/issues/41
[i43]: https://git.necronda.net/winzer/elwig/issues/43




[v0.7.1][v0.7.1] (2024-03-11) {#v0.7.1}
---------------------------------------

### Neue Funktionen {#v0.7.1-features}

* Für Auszahlungsvarianten kann ein Rebel-Zu-/Abschlag festgelegt werden. ([#40][i40])
* Im Rundschreiben-Fenster (`MailWindow`) gibt es ab jetzt die Möglichkeit den Ort anzupassen. (34ebc8fa34, a5df03aa2c)

### Behobene Fehler {#v0.7.1-bugfixes}

* Falls im Rundschreiben-Fenster (`MailWindow`) der Ausdruck nach PLZ und Ort sortiert werden sollte, wurden Rechnungsadressen nicht beachtet. (746d0f10de)

### Sonstiges {#v0.7.1-misc}

* Im Mitglieder-Fenster (`MemberAdminWindow`) wurde die Möglichkeit zum Verfassen von Rundschreiben entfernt. (61c8d1ee97)
* Das Erzeugen von PDF-Dokumenten wurde verbessert. (c70772b47d, 6a5507060a, c0f4a484ab)

[v0.7.1]: https://git.necronda.net/winzer/elwig/releases/tag/v0.7.1
[i40]: https://git.necronda.net/winzer/elwig/issues/40




[v0.7.0][v0.7.0] (2024-03-06) {#v0.7.0}
---------------------------------------

> [!NOTE]
> Das Attribut "Bio" wird ab dieser Version automatisch entfernt und als Bewirtschaftungsart "Bio" verwendet.
> Sämtliche Lieferungen und Auszahlungsvarianten werden automatisch aktualisiert.

### Neue Funktionen {#v0.7.0-features}

* Das Attribut "Bio" wird nun als Bewirtschaftungsart "Bio" verwendet. ([#34][i34], 25a0722f96, 8031654e86, 7181d744fc, cc72a8365e)
* Im Übernahme-Fenster (`DeliveryAdminWindow`) wurde eine Abklingzeit von 1 Sekunde zum Wiegen-Knopf hinzugefügt. (efe91192bc)
* Im Übernahme-/Lieferungen-Fenster (`DeliveryAdminWindow`) und im Mitglieder-Fenster (`MemberAdminWindow`) wurde ein Knopf hinzugefügt,
  mit dem man zum entsprechenden Mitglied (bzw. Vorgänger) springen kann. (665e16d78f)
* Ein Rundschreiben-Fenster (`MailWindow`) wurde hinzugefügt. ([#15][i15], cc5396711d, 060acc56c3, a275385b5c, 37e10136f4, 376af72700)
* Eine automatische Update Funktion wurde hinzugefügt. Diese überprüft regelmäßig, ob eine neuere Version von Elwig verfügbar ist. ([#8][i8], a5a6915db1, 271e085fdf)

### Behobene Fehler {#v0.7.0-bugfixes}

* Falls in einer Auszahlungsvariante ein unbekanntes Attribut verwendet wurde, kam es zu einem Absturz. ([#39][i39])
* Falls für ein Mitglied kein IBAN hinterlegt war, kam es beim Exportieren der Traubengutschriften zu einem Absturz. (958fbaae50)
* Waagen-Schnittstelle für Badner Waage war Fehlerhaft. (092c5788a4)
* Falls Flächenbindungen von Mitgliedern keine Bewirtschaftungsart gesetzt haben sollten, kam es beim Erstellen des Stammdatenblattes (`MemberDataSheet`) zum Absturz. (3324a9a238)
* Telefonnummern und E-Mail-Adressen können wieder beliebig hinzugefügt und gelöscht werden. (e9f6f22bc8, 3a0f2e9556)

### Sonstiges {#v0.7.0-misc}

* Beim Schließen des Hauptfensters wird der Nutzer gefragt, ob er alle anderen Fenster auch schließen möchte. (96c9890b90)
* Im Lieferungen-Fenster (`DeliveryAdminWindow`) und auf Lieferscheinen (`DeliveryNote`) wird neben _(nicht) gerebelt_ nun auch _brutto/netto_ angegeben. (049927f90c)
* Falls man die Lieferungen eines einzelnen Mitglieds ansieht, werden nun standardmäßig nur die Lieferungen der aktuellen Saison angezeigt. (5a6317fcdb)
* Im Stammdaten-Fenster (`BaseDataWindow`) unter Attributen findet sich nun ein kurzer Erklärtext. (e6cab7993f)
* Die Installationsdatei erkennt nun die Elwig-Version wieder richtig. ([#35][i35])
* Am Mitglieds-Stammdatenblatt (`MemberDataSheet`) werden die Flächenbindungen ab jetzt immer frühestens auf der zweiten Seite abgedruckt. (4673877d36)
* Beim automatischen Aktualisieren der Datenbank werden Fremdschlüssel validiert. (d897e44f3b, 3b94875a7f, 614e0010fd, 92c3ed991b)
* Nachnamen von Mitgliedern in Großschreibung werden ab jetzt mit `ẞ` statt mit `ß` geschrieben. (ccb83911b1)
* Dokumente können nun parallel erstellt werden. ([#19][i19], 9139557cc4, ac4026571e, e9d0eec3bd, 77cf47e154, 5a488369be)
* Die Popup-Fenster sind modernisiert worden. ([#16][i16])
* Grunstücksnummern bei Flächenbindungen werden bei der Eingabe nicht mehr validiert. (ea6621ee57)
* Abhängigkeiten aktualisiert. (d944aabc06)

[v0.7.0]: https://git.necronda.net/winzer/elwig/releases/tag/v0.7.0
[i8]: https://git.necronda.net/winzer/elwig/issues/8
[i15]: https://git.necronda.net/winzer/elwig/issues/15
[i16]: https://git.necronda.net/winzer/elwig/issues/16
[i19]: https://git.necronda.net/winzer/elwig/issues/19
[i34]: https://git.necronda.net/winzer/elwig/issues/34
[i35]: https://git.necronda.net/winzer/elwig/issues/35
[i39]: https://git.necronda.net/winzer/elwig/issues/39




[v0.6.8][v0.6.8] (2024-02-22) {#v0.6.8}
---------------------------------------

### Neue Funktionen {#v0.6.8-features}

* Waagen-Schnittstelle vom Typ `Schember-Async` implementiert. (10b78dfb72, c0ff852f5e, ae7fdef2ea)

[v0.6.8]: https://git.necronda.net/winzer/elwig/releases/tag/v0.6.8




[v0.6.7][v0.6.7] (2024-02-21) {#v0.6.7}
---------------------------------------

### Sonstiges {#v0.6.7-misc}

* WG Weinland und WG Baden nun registierte Mandanten. (583d5b4e3e)
* Im Mitglieds-Stammdatenblatt (`MemberDataSheet`) werden Flächenbindungen nun immer für das momentane Jahr angezeigt (nicht die neueste angelegte Saison). (8732141e6b)
* Umstrukturierung der internen Waagen-Schnittstellen-Implementation. (3f2b5b684c, 7ff069d068, 99ca12b276)

[v0.6.7]: https://git.necronda.net/winzer/elwig/releases/tag/v0.6.7




[v0.6.6][v0.6.6] (2024-02-18) {#v0.6.6}
---------------------------------------

### Sonstiges {#v0.6.6-misc}

* Automatisierte Tests für Waagen-Schnittstellen hinzugefügt. (f13fb3aaf0, f4eb6456be, 7f4cfdc1b5)
* Im Übernahme-Fenster (`DeliveryAdminWindow`) wird die Saison ab jetzt ausschließlich über die Jahreszahl bestimmt. (3c0fea30f5)

[v0.6.6]: https://git.necronda.net/winzer/elwig/releases/tag/v0.6.6




[v0.6.5][v0.6.5] (2024-02-15) {#v0.6.5}
---------------------------------------

### Neue Funktionen {#v0.6.5-features}

* Die Installationsdatei kann ab jetzt automatisch erstellt werden. ([#6][i6], 6d53e35399)

### Behobene Fehler {#v0.6.5-bugfixes}

* Im Mitglieds-Stammdatenblatt (`MemberDataSheet`) fehlte bei Rechnungsadressen der Abstand zwischen PLZ und Ort. (68f1a2c091)

### Sonstiges {#v0.6.5-misc}

* Berechnung der Aufteilung für Bio-Attribute aktualisiert. (0591d91f49, 42eb68d431)
* Kleine Änderungen im EBICS-/XML-Export. (befe6a753b, 825bd6f304)
* Automatisierte Tests für EBICS-/XML-Export hinzugefügt. (6fdd72e28b, c07a6b450c, 4daa6deb26)
* Automatisierte Tests für Dokumente hinzugefügt. (912206f52d, 805f782c83, 1b9064a97c)
* Anpassungen für PLZ und KG-Nr. in der Datenbank. (11be424c38)
* Im Mitglieder-Fenster (`MemberAdminWindow`) dürfen Freitextsuchen nun 2 (statt 3) Zeichen lang sein. (59cd69ddaf)

[v0.6.5]: https://git.necronda.net/winzer/elwig/releases/tag/v0.6.5
[i6]: https://git.necronda.net/winzer/elwig/issues/6

